Subject: bug#50646: 28.0.50; narrow-to-defun sometimes narrows to wrong defun

From: Arthur Miller <[email-masked]>
Date: Sun, 19 Sep 2021 10:34:58 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> [email-masked] writes:
>
>> To reproduce this bug:
>>
>> 1. run Emacs -Q -l /path/to/attached/help-mode.el
>> 2. type C-x f
>> 3. in minibuffer type: when RET
>>
>> The help-mode buffer that opens should show help for 'when' form, but it
>> shows the source code for the 'pop' macro which precedes the 'when' in
>> subr.el.
>
> I didn't try to reproduce this, because the attached .el file is almost
> 1K lines long.
>
> Do you have a simpler way to reproduce the issue you're seeing?

Hi Lars, plz, see my answer to Phil. Problem seems to be due to encoding;

I have used insert-file-contents-literally. I don't know if it is a bug,
probably not. I appologize for the noise.